Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 382779)
+++ channels/chan_sip.c	(working copy)
@@ -5827,10 +5827,11 @@
 	/* Get the outbound proxy information */
 	ref_proxy(dialog, obproxy_get(dialog, NULL));
 
-	if (addr) {
+	/* If we have an outbound proxy, don't bother with DNS resolution at all */
+	if (addr && !dialog->outboundproxy) {
 		/* This address should be updated using dnsmgr */
 		ast_sockaddr_copy(&dialog->sa, addr);
-	} else {
+	} else if (!dialog->outboundproxy) {
 
 		/* Let's see if we can find the host in DNS. First try DNS SRV records,
 		   then hostname lookup */
